## Bad exmaple on how to implement URL remapping and gallery.
#
# The example is bad because it does not check for nasty URLs (e.g. containing
# .. or similar things).

from fplegacy.fpbbcode import BBPlugins
from glob import glob

MEDIA_ROOT = '...'

class ExampleBBPlugins(BBPlugins):

    ## Remap a URL to another one, if needed
    #
    # \param url The URL to remap
    # \return The remapped URL
    def remapUrl(self, url):
        if url.startswith('www.'):
            return 'http://'+url

        tmp = url if url[0] == '/' else '/'+url
        if tmp.startswith('/attachs/') or tmp.startswith('/images/'):
            return '/media' + tmp

        return url

    def openImage(self, filename):
        if filename.startswith('images/'):
            filename = '/media/'+filename

        if not filename.startswith('/media/'):
            # TODO: Check that it does not exit from media!
            return None

        return MEDIA_ROOT+filename[len('/media'):]

    def gallery(self, name):
        g = glob(MEDIA_ROOT+'/'+name+'/*')
        l = len(MEDIA_ROOT+'/')
        return [i[l:] for i in g]
